## dsdp 0.1.0

=== DESCRIPTION ===
Package: dsdp
Title: Density Estimation with Semidefinite Programming
Version: 0.1.0
Authors@R: c(
    person("Satoshi", "Kakihara",,email = "skakihara@gmail.com",
        role = c("aut", "cre")),
    person("Takashi",  "Tsuchiya", email = "tsuchiya@grips.ac.jp",
        role = "aut"))
Description: The models of probability density functions are Gaussian or
    exponential distributions with polynomial correction terms.
    Using a maximum likelihood method, 'dsdp' computes parameters of Gaussian
    or exponential distributions together with degrees of polynomials by
    a grid search, and coefficient of polynomials by a variant of semidefinite
    programming. It adopts Akaike Information Criterion for model selection.
    See a vignette for a tutorial and more on our 'Github' repository 
    <https://github.com/tsuchiya-lab/dsdp/>.
Encoding: UTF-8
RoxygenNote: 7.2.1
Depends: R (>= 2.10)
LazyData: true
Suggests: rmarkdown, knitr
VignetteBuilder: knitr, rmarkdown
Imports: ggplot2, rlang, stats
License: MIT + file LICENSE
URL: https://tsuchiya-lab.github.io/dsdp/
BugReports: https://github.com/tsuchiya-lab/dsdp/issues
NeedsCompilation: yes
Packaged: 2022-12-02 18:04:33 UTC; skaki
Author: Satoshi Kakihara [aut, cre],
  Takashi Tsuchiya [aut]
Maintainer: Satoshi Kakihara <skakihara@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-05 10:30:04 UTC
