=== docs/Makefile ===
include ../make.include

htmlzip:
	zip -r DSDP5-api-html.zip dox
	${RM} -R dox
