=== docs/dox/Makefile ===
include ../make.include

clean:
	${RM} html/* latex/* *~
