=== src/bounds/Makefile ===
DSDPOBJ	=  dbounds.o allbounds.o

DCFLAGS   = -I${PP}solver

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}
