=== src/lp/Makefile ===

DSDPOBJ	=  dsdplp.o

DCFLAGS   = -I${PP}solver

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}
