=== src/solver/Makefile ===

DSDPOBJ	=  dualalg.o dualimpl.o dsdpcops.o dsdpschurmat.o dsdpcg.o \
	   dsdpconverge.o dsdpsetup.o dsdpcone.o dsdpsetoptions.o \
	   dsdpsetdata.o dsdprescone.o dsdpobjcone.o dsdpprintout.o \
	   dsdpschurmatadd.o dsdpx.o

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}
