=== src/sys/Makefile ===

DSDPOBJ	=  dsdperror.o dsdploginfo.o  dsdplog.o dsdptime.o

DCFLAGS   = -D${DSDPTIMER}

include ../../make.include

default:
	make dsdplib;

clean:
	${RM} ${DSDPOBJ}
