=== debian/changelog ===
dsdp (5.8-9.1ubuntu2) xenial; urgency=medium

  * Cast INFO to int before storing it in the flag. LP: #1543982.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Apr 2016 12:52:28 +0100

dsdp (5.8-9.1ubuntu1) xenial; urgency=medium

  * Build using -O2 on s390x. LP: #1543982.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 11:28:13 +0100

dsdp (5.8-9.1build1) xenial; urgency=medium

  * No-change rebuild for libblas3gf->libblas3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 16:13:00 +0100

dsdp (5.8-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Separate build-arch and build-indep targets so that
    directly invoking binary-arch behaves as expected.  Closes: #666310.

 -- Matej Vela <vela@debian.org>  Sun, 27 May 2012 21:01:56 +0100

dsdp (5.8-9) unstable; urgency=low

  * Bump Standards Version to 3.9.2 (no changes required).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Include misc-depends to fix lintian warnings.
  * Replace doxygen and texlive-* build dependencies with doxygen-latex
  (Closes: #616210).

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 22 Jul 2011 09:08:09 +0200

dsdp (5.8-8) unstable; urgency=low

  [ Torsten Werner ]
  * Remove myself from Uploaders as discussed with Sören

  [ Soeren Sonnenburg ]
  * Add -lm -lblas to linkflags (Closes: #554307).
  * Bump Standards Version to 3.8.3 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 11 Nov 2009 21:34:22 +0100

dsdp (5.8-7) unstable; urgency=low

  * Version dependency on debhelper (>=5).
  * Fix hyphen in manpage.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 23 Sep 2008 20:06:09 +0200

dsdp (5.8-6) unstable; urgency=low

  * Build depend on ghostscript not obsolete gs-gpl (fixes lintian error).
  * Update my email address to sonne@debian.org.
  * Bump Standards Version to 3.8.0 (no changes required)

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 14 Sep 2008 09:33:16 +0200

dsdp (5.8-5) unstable; urgency=low

  * Use Science/Mathematics as doc-base section.

 -- Soeren Sonnenburg <debian@nn7.de>  Wed, 21 May 2008 21:18:35 +0200

dsdp (5.8-4) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Adjust Build-Depends for gfortran transition (Closes: #463947)
  * Fix typo in package description (Closes: Bug#464213)

  [ Torsten Werner ]
  * Rename package libdsdp-5.8 to libdsdp-5.8gf.
  * Change Build-Depends: libg2c0-dev to gfortran.
  * Add LAPACKBLAS="-llapack" to make arguments.
  * Add suffix 'gf' to soname.
  * Link shared library with all needed libraries.

 -- Torsten Werner <twerner@debian.org>  Fri, 08 Feb 2008 22:14:59 +0100

dsdp (5.8-3) unstable; urgency=low

   * Bump Standards-Version to 3.7.3

 -- Soeren Sonnenburg <debian@nn7.de>  Wed, 02 Jan 2008 19:23:31 +0100

dsdp (5.8-2) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Fix double builds (Closes: #442546)
  * Fix section for doc package

  [ Torsten Werner ]
  * Add Build-Depends: gs-gpl, texlive-latex-base.
  * Fix some lintian warnings.

 -- Torsten Werner <twerner@debian.org>  Wed, 19 Sep 2007 19:35:07 +0200

dsdp (5.8-1) unstable; urgency=low

  * Initial release (Closes: #436069)

 -- Soeren Sonnenburg <debian@nn7.de>  Wed, 01 Aug 2007 22:58:57 +0200
