=== debian/watch ===
version=3
http://www-unix.mcs.anl.gov/DSDP/DSDP([0-9]*.[0-9]*).tar.gz debian debian/orig-tar.sh
